# frozen_string_literal; true

require 'solargraph'

class SolargraphInlayHintTest < Solargraph::Diagnostics::Base
  def diagnose(source, _api_map)
    return [] if source.code.empty? || source.code.start_with?('# a_test_line:')

    [
      {
        range: Solargraph::Range.from_to(0, 0, 0, source.code.lines[0].length),
        severity: Solargraph::Diagnostics::Severities::WARNING,
        source: 'TestLine',
        message: 'File does not start with a_test_line.'
      }
    ]
  end
end

Solargraph::Diagnostics.register 'frozen-string', SolargraphInlayHintTest
